Bug 179010 - manually saved session doesn't save multiple konsole sessions.
Summary: manually saved session doesn't save multiple konsole sessions.
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: single-process (show other bugs)
Version: unspecified
Platform: Ubuntu Linux
: NOR wishlist with 20 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-12-29 01:17 UTC by Joe (theWordy) Philbrook
Modified: 2012-08-16 13:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joe (theWordy) Philbrook 2008-12-29 01:17:52 UTC
Version:            (using KDE 4.1.3)
OS:                Linux
Installed from:    Ubuntu Packages

Manually saved session doesn't save multiple konsole sessions.
It will save multiple Krusader sessions. But only one konsole.

With Kde 3.x I set up konsole sessions on each of 4 desktops with task specific profile settings. including separate font, and color settings as well as window size and position for each of several open konsoles. And a saved session stores all of that.

But NOT with kde 4.1.3 It will only open one of them... 

I'm using kubuntu 8.10 updated just last week from official kubuntu repositories via apt-get upgrade...
Comment 1 Joe (theWordy) Philbrook 2008-12-30 07:59:34 UTC
I just noticed that it does appearently remember SOMETHING about the other konsole sessions. I had 1 session open in desktop 1 And 2 konsoles open in each of the other desktops when I saved the session... All of them were minimized at the time... When I rebooted earlier today The only one that automatically opened was on desktop 1 But I was on desktop 2 (as I had been when I saved session) I immediately opened a session on desktop 2 (which opened in a minimized state.)
But then I went to desktop three where I went to open a third session via <alt>+<F2> kons<enter>... Which session opened on desktop 2 regardless of the fact that the current desktop was 3. It seams to remember how many sessions it should have open on each desktop and given a command to open one, it's backfilling the missing sessions first. It is also remembering that they were minimized, But it is Not restoring the individual profile settings, nor opening them in the directories that the origianal sessions had been in when I saved the kde session...
Comment 2 Jekyll Wu 2012-04-20 07:35:35 UTC
Git commit 6b811ec2b6e4fbf459af9765c9ead506c9a0cd3c by Jekyll Wu.
Committed on 18/04/2012 at 10:04.
Pushed by jekyllwu into branch 'master'.

Konsole should use new process when some Qt/KDE options are given

One typical option is "--display", because two konsole windows
belonging to the same process are destined to be shown in the same
display, which defeats the purpose of the "--display" option
Related: bug 297801, bug 297224
FIXED-IN: 4.9.0
REVIEW: 104653

M  +28   -0    src/main.cpp

http://commits.kde.org/konsole/6b811ec2b6e4fbf459af9765c9ead506c9a0cd3c